# BitcoinAPIResponse

## Properties

| Name        | Type                                                                                         | Description | Notes       |
| ----------- | -------------------------------------------------------------------------------------------- | ----------- | ----------- |
| **success** | **bool**                                                                                     |             |             |
| **message** | **str**                                                                                      |             |             |
| **body**    | [**InputBody**](https://docs.usemoon.ai/sdks/python/inputbody)                               |             | \[optional] |
| **address** | **str**                                                                                      |             | \[optional] |
| **data**    | [**BitcoinTransactionOutput**](https://docs.usemoon.ai/sdks/python/bitcointransactionoutput) |             | \[optional] |

## Example

```python
from moonsdk.models.bitcoin_api_response import BitcoinAPIResponse

# TODO update the JSON string below
json = "{}"
# create an instance of BitcoinAPIResponse from a JSON string
bitcoin_api_response_instance = BitcoinAPIResponse.from_json(json)
# print the JSON string representation of the object
print(BitcoinAPIResponse.to_json())

# convert the object into a dict
bitcoin_api_response_dict = bitcoin_api_response_instance.to_dict()
# create an instance of BitcoinAPIResponse from a dict
bitcoin_api_response_form_dict = bitcoin_api_response.from_dict(bitcoin_api_response_dict)
```

[\[Back to Model list\]](https://docs.usemoon.ai/sdks/python/..#documentation-for-models) [\[Back to API list\]](https://docs.usemoon.ai/sdks/python/..#documentation-for-api-endpoints) [\[Back to README\]](https://docs.usemoon.ai/sdks/python)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.usemoon.ai/sdks/python/bitcoinapiresponse.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
